<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Projecte web compartit </title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="container">
      <h1>GIT</h1>
      <div class="intro">
        <h2>Introducció</h2>
        <p>GIT es un sistema de control de versions, creat per Linus Torvald. Ens permet tindre un control sobre les versions d'un projecte tot mitjançant diferents branques per tal de que els col·laboradors puguin modificar els fitxers sense risc de perdre res. <br>
	-git init: Ens permet inicialitzar un directori com a repositori. <br>
	-git commit: Permet afegir els canvis al repositori. <br>
	-git log: Ens permet veure el registre dels commits fets en el repositori. </p>
      </div>
      <div class="branches">
        <h2>Branques</h2>
        <p>Les branques serveixen per crear ramificacions d'un arxiu per tal de poder anar editant-lo desde diversos dispositius sense superposar el que es modifica desde els altres dispositius.<br>
	-git branch 'nom_branca': crea una nova ramificació.<br>
	-git checkout 'nom_branca': mou el header al nom de la branca.
	-git merge 'nom_branca': fusiona la branca on es troba el header amb la que has posat.
	
	</p>
      </div>
      <div class="remot">
        <h2>Remot</h2>
        <p>Basicament, el tema remots tracta sobre el poder sincronitzar el teu Git amb un repositori remot, Utilitzarem la comanda git clone s'utilitza per clonar el projecte del repositori remot  al teu repositori(git) local,la comanda git push per actualitzar el repositori remot amb els canvis fets al local i per ultim la comanda git pull que fa lo mateix que push pero al reves. </p></div>
      </div>
   </div>
  </body>
</html>

